
QGIS Application - Bug report #7475

Topology checker: rule list saved at a project level is (can be) wrong

2013-03-29 10:46 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: vinayan Parameswaran

Category: C++ Plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 16428

Description

After saving a project where a few rules where created (tested with 4), then on project load the rule list seems wrong.

In my case one of the rules originally defined has disappeared and has been replaced by another one, duplicate of an existing one.

History

#1 - 2013-04-06 04:15 AM - vinayan Parameswaran

the below pull request fixes this issue too..

https://github.com/qgis/Quantum-GIS/pull/505

#2 - 2013-04-12 08:24 PM - vinayan Parameswaran

- Resolution set to fixed

- Status changed from Open to Closed

fixed in https://issues.qgis.org/projects/quantum-gis/repository/revisions/51fc960b42223d11dba6f8c4c0cb527dd83f7f7a
